Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.expression.spel.support
Class BooleanTypedValue

    java.lang.Object
      org.springframework.expression.TypedValue
          org.springframework.expression.spel.support.BooleanTypedValue

    public class BooleanTypedValue

extends TypedValue

Since:
  3.0
Author:
  Andy Clement

Field Summary
`static BooleanTypedValue` | `FALSE`
`static BooleanTypedValue` | `TRUE`

Fields inherited from class org.springframework.expression.TypedValue
`NULL`

Method Summary
`static BooleanTypedValue` | `forValue(boolean b)`

Methods inherited from class org.springframework.expression.TypedValue
`getTypeDescriptor, getValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TRUE

    public static final BooleanTypedValue TRUE

### FALSE

    public static final BooleanTypedValue FALSE

Method Detail

### forValue

    public static BooleanTypedValue forValue(boolean b)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD